## remrun 0.2.1

=== tests/requirements.txt ===
cfg_diag >= 0.1, < 0.3
utf8_locale >= 0.3, < 0.4

=== debian/changelog ===
remrun (0.2.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports:
    - temporarily drop dh-sequence-single-binary until a more recent
      version of debhelper is backported

 -- Peter Pentchev <roam@debian.org>  Sat, 16 Jul 2022 10:41:29 +0300

remrun (0.2.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * New upstream release.
  * Source-only upload for testing migration. Closes: #1014836

 -- Peter Pentchev <roam@debian.org>  Thu, 14 Jul 2022 01:18:37 +0300

remrun (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #1008207

 -- Peter Pentchev <roam@debian.org>  Thu, 24 Mar 2022 13:56:24 +0200

=== debian/control ===
Source: remrun
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 openssh-client <!nocheck>,
 openssh-server <!nocheck>,
 python3 <!nocheck>,
 python3-cfg-diag <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://devel.ringlet.net/sysutils/remrun/
Vcs-Git: https://gitlab.com/ppentchev/remrun.git -b debian/unstable
Vcs-Browser: https://gitlab.com/ppentchev/remrun/tree/debian/unstable
Rules-Requires-Root: no

Package: remrun
Architecture: all
Depends:
  ${misc:Depends},
Multi-Arch: foreign
Description: copy a file to a remote host and execute it there
 The remrun tool may be useful for one-off execution of a series of commands
 or a complicated command that does not easily lend itself to shell quoting
 and escaping via SSH. It copies the specified file to the remote host using
 SSH under a temporary filename, executes it on the remote side, then
 removes the temporary file.

=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag, python3-utf8-locale
Features: test-name=upstream-sshd-simple
Restrictions: allow-stderr

Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v -t tests/run-test.sh /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag, python3-utf8-locale
Features: test-name=upstream-sshd-suite
Restrictions: allow-stderr

## remrun 0.2.3

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright (c) 2021, 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

PROG=		remrun
SRC=		${PROG}.sh
MAN1=		${PROG}.1
MAN1GZ=		${MAN1}.gz

TEST_TOOL=	tests/run-test.sh

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
SHAREDIR?=	${PREFIX}/share
MANDIR?=	${SHAREDIR}/man/man
MAN1DIR?=	${MANDIR}1

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

INSTALL_PROGRAM?=	install -o '${BINOWN}' -g '${BINGRP}' -m '${BINMODE}'
INSTALL_DATA?=		install -o '${SHAREOWN}' -g '${SHAREGRP}' -m '${SHAREMODE}'

MKDIR_P?=	mkdir -p

PYTHON3?=	python3

all:		${PROG} ${MAN1GZ}

${PROG}:	${SRC}
		install -m 755 -- '${SRC}' '${PROG}'

${MAN1GZ}:	${MAN1}
		gzip -c -n -9 -- '${MAN1}' > '${MAN1GZ}' || { rm -f -- '${MAN1GZ}'; false; }

test:		all
		[ -n '${SKIP_SHELLCHECK}' ] || shellcheck -- '${PROG}' '${TEST_TOOL}'
		env PYTHONPATH='${CURDIR}/tests/python' ${PYTHON3} -B -u -m run_sshd_test -v -t '${TEST_TOOL}' $(if ${TEST_USERNAME},-u '${TEST_USERNAME}') -- '${PROG}'

install:	all
		${MKDIR_P} '${DESTDIR}${BINDIR}'
		${INSTALL_PROGRAM} -- '${PROG}' '${DESTDIR}${BINDIR}/'

		${MKDIR_P} '${DESTDIR}${MAN1DIR}'
		${INSTALL_DATA} -- '${MAN1GZ}' '${DESTDIR}${MAN1DIR}/'

clean:
		rm -f -- '${PROG}' '${MAN1GZ}'

.PHONY:		all test clean

=== tests/requirements.txt ===
cfg_diag >= 0.4, < 0.5
utf8_locale >= 1, < 2

=== debian/changelog ===
remrun (0.2.3-1) unstable; urgency=medium

  * Adapt to the API change in python3-cfg-diag 0.4:
    - bump the version of the python3-cfg-diag dependency in
      debian/control and debian/tests/control
    - note that the test suite needs changes that are included in
      the new 0.2.3 upstream release
  * New upstream release that includes the cfg-diag 0.4 support changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 04 Nov 2022 20:55:25 +0200

remrun (0.2.2-1) unstable; urgency=medium

  * New upstream release:
    - add a >= 0.3 version constraint to the python3-cfg-diag dependency
  * Note that the autopkgtest needs root privileges.
    Closes: #1018155

 -- Peter Pentchev <roam@debian.org>  Fri, 02 Sep 2022 00:14:14 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-single-binary,
  openssh-client <!nocheck>,
  openssh-server <!nocheck>,
  python3 <!nocheck>,
- python3-cfg-diag <!nocheck>,
+ python3-cfg-diag (>= 0.4) <!nocheck>,
  python3-utf8-locale <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://devel.ringlet.net/sysutils/remrun/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh '$@'

override_dh_auto_test:
	if [ -d /run/sshd ]; then \
		dh_auto_test -- SKIP_SHELLCHECK=1; \
	else \
		echo 'No /run/sshd directory, not running the upstream test suite'; \
	fi

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_DATA='install -m 644' \
		# EOL

override_dh_installchangelogs:
	dh_installchangelogs -X NEWS.md
	install -m 644 NEWS.md debian/remrun/usr/share/doc/remrun/NEWS

=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag (>= 0.4), python3-utf8-locale
Features: test-name=upstream-sshd-simple
Restrictions: allow-stderr, needs-root

Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v -t tests/run-test.sh /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag (>= 0.4), python3-utf8-locale
Features: test-name=upstream-sshd-suite
Restrictions: allow-stderr, needs-root

## remrun 0.2.4

=== Makefile ===
#!/usr/bin/make -f
#
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

PROG=		remrun
SRC=		${PROG}.sh
MAN1=		${PROG}.1
MAN1GZ=		${MAN1}.gz

TEST_TOOL=	tests/run-test.sh

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
SHAREDIR?=	${PREFIX}/share
MANDIR?=	${SHAREDIR}/man/man
MAN1DIR?=	${MANDIR}1

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

INSTALL_PROGRAM?=	install -o '${BINOWN}' -g '${BINGRP}' -m '${BINMODE}'
INSTALL_DATA?=		install -o '${SHAREOWN}' -g '${SHAREGRP}' -m '${SHAREMODE}'

MKDIR_P?=	mkdir -p

PYTHON3?=	python3

all:		${PROG} ${MAN1GZ}

${PROG}:	${SRC}
		install -m 755 -- '${SRC}' '${PROG}'

${MAN1GZ}:	${MAN1}
		gzip -c -n -9 -- '${MAN1}' > '${MAN1GZ}' || { rm -f -- '${MAN1GZ}'; false; }

test:		all
		[ -n '${SKIP_SHELLCHECK}' ] || shellcheck -- '${PROG}' '${TEST_TOOL}'
		env PYTHONPATH='${CURDIR}/tests/python' ${PYTHON3} -B -u -m run_sshd_test -v -t '${TEST_TOOL}' $(if ${TEST_USERNAME},-u '${TEST_USERNAME}') -- '${PROG}'

install:	all
		${MKDIR_P} '${DESTDIR}${BINDIR}'
		${INSTALL_PROGRAM} -- '${PROG}' '${DESTDIR}${BINDIR}/'

		${MKDIR_P} '${DESTDIR}${MAN1DIR}'
		${INSTALL_DATA} -- '${MAN1GZ}' '${DESTDIR}${MAN1DIR}/'

clean:
		rm -f -- '${PROG}' '${MAN1GZ}'

.PHONY:		all test clean

=== debian/changelog ===
remrun (0.2.4-2) unstable; urgency=medium

  * Add the tests-unpriv-refactor, tests-unpriv-fail, and
    writable-homedir patches cherry-picked from upstream.
    Closes: #1104510

 -- Peter Pentchev <roam@debian.org>  Sat, 03 May 2025 02:22:42 +0300

remrun (0.2.4-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - drop the B-D on python3-cfg-diag
    - reflect upstream's change to yearless copyright notices
    - also drop the years in my debian/* copyright notice
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Dec 2024 22:28:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
  dh-sequence-single-binary,
+ dpkg-build-api (= 1),
  openssh-client <!nocheck>,
  openssh-server <!nocheck>,
  python3 <!nocheck>,
- python3-cfg-diag (>= 0.4) <!nocheck>,
  python3-utf8-locale <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/sysutils/remrun/
 Vcs-Git: https://gitlab.com/ppentchev/remrun.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/remrun/tree/debian/unstable
-Rules-Requires-Root: no
+X-Style: black
 
 Package: remrun
 Architecture: all
-Depends:
-  ${misc:Depends},
 Multi-Arch: foreign
 Description: copy a file to a remote host and execute it there
  The remrun tool may be useful for one-off execution of a series of commands

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 %:
 	dh '$@'
@@ -11,7 +13,7 @@
 	fi
 
 override_dh_auto_install:
-	dh_auto_install -- \
+	dh_auto_install --destdir '$(CURDIR)/debian/remrun' -- \
 		PREFIX=/usr \
 		MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' \
